Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
AnimControlUI Class Reference
Inheritance diagram for AnimControlUI:

## Public Member Functions
| __init__ (self, parent, editor)
| DoLayout (self)
| OnAnimation (self, curFrame)
| OnControl (self)
| OnCurrentTime (self, evt)
| OnDeleteKey (self, evt)
| OnExit (self, evt)
| OnFirstFrame (self, evt)
| OnLastFrame (self, evt)
| OnNextFrame (self, evt)
| OnNextKeyFrame (self, evt)
| OnPlay (self, evt)
| OnPreFrame (self, evt)
| OnPreKeyFrame (self, evt)
| OnPrePlay (self, evt)
| OnPropKey (self)
| OnTime (self)
| OnTimeEndSpin (self, evt)
| OnTimer (self, evt)
| OnTimeSliderEndSpin (self, evt)
| OnTimeSliderStartSpin (self, evt)
| OnTimeStartSpin (self, evt)
| SetProperties (self)
| sortKey (self)

## Public Attributes
| bmpPlay = Play.GetBitmap()
| bmpPrePlay = PrePlay.GetBitmap()
| bmpStop = Stop.GetBitmap()
| buttonDeleteKey = wx.BitmapButton(self.mainPanel2, -1, bmpDeleteKey, size = (30,30),style = wx.BU_AUTODRAW)
| buttonFirstFrame = wx.BitmapButton(self.mainPanel1, -1, bmpFirstFrame, size = (30,30),style = wx.BU_AUTODRAW)
| buttonLastFrame = wx.BitmapButton(self.mainPanel1, -1, bmpLastFrame, size = (30,30),style = wx.BU_AUTODRAW)
| buttonNextFrame = wx.BitmapButton(self.mainPanel1, -1, bmpNextFrame, size = (30,30),style = wx.BU_AUTODRAW)
| buttonNextKeyFrame = wx.BitmapButton(self.mainPanel1, -1, bmpNextKeyFrame, size = (30,30),style = wx.BU_AUTODRAW)
| buttonPlay = wx.BitmapButton(self.mainPanel1, -1, self.bmpPlay, size = (30,30),style = wx.BU_AUTODRAW)
| buttonPreFrame = wx.BitmapButton(self.mainPanel1, -1, bmpPreFrame, size = (30,30),style = wx.BU_AUTODRAW)
| buttonPreKeyFrame = wx.BitmapButton(self.mainPanel1, -1, bmpPreKeyFrame, size = (30,30),style = wx.BU_AUTODRAW)
| buttonPrePlay = wx.BitmapButton(self.mainPanel1, -1, self.bmpPrePlay, size = (30,30),style = wx.BU_AUTODRAW)
int | curFrame = 1
| curFrameSpin = wx.SpinCtrl(self.mainPanel1, -1, "",size = (70,25),min=self.startFrame, max=self.endFrame)
| dialogSizer = dialogSizer
| editor = editor
int | endFrame = 24
| keys = self.editor.animMgr.keyFrames
| mainPanel1 = wx.Panel(self, -1)
| mainPanel2 = wx.Panel(self, -1)
| OnCurrentTime
| OnDeleteKey
| OnExit
| OnFirstFrame
| OnLastFrame
| OnNextFrame
| OnNextKeyFrame
| OnPlay
| OnPreFrame
| OnPreKeyFrame
| OnPrePlay
| OnTimeEndSpin
| OnTimer
| OnTimeSliderEndSpin
| OnTimeSliderStartSpin
| OnTimeStartSpin
list | parallel = []
bool | play = False
bool | prePlay = False
int | sliderEndFrame = 24
int | sliderStartFrame = 1
int | startFrame = 1
bool | stop = True
| timeEndSpin = wx.SpinCtrl(self.mainPanel2, -1, "",size = (70,25),min=self.sliderStartFrame, max=10000)
| timer = wx.Timer(self)
| timeRange = TimeRange(self.mainPanel2, wx.Size(450, 25), self.startFrame, self.endFrame, self.sliderStartFrame, self.sliderEndFrame)
| timeSlider = TimeSlider(self.mainPanel1, wx.Size(560, 35), self.sliderStartFrame, self.sliderEndFrame, self.curFrame)
| timeSliderEndSpin = wx.SpinCtrl(self.mainPanel2, -1, "",size = (70,25),min=self.sliderStartFrame, max=self.endFrame)
| timeSliderStartSpin = wx.SpinCtrl(self.mainPanel2, -1, "",size = (70,25),min=self.startFrame, max=self.sliderEndFrame)
| timeStartSpin = wx.SpinCtrl(self.mainPanel2, -1, "",size = (70,25),min=0, max=self.sliderEndFrame)
| timeUnit = float(1)/float(24)*float(1000)

## Protected Attributes
bool | _initOver = False

## Detailed Description

    This is the Animation Control main class implementation.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent,
|  |  | editor )

## Member Function Documentation

## ◆ DoLayout()

DoLayout | ( |  | self | ) |

## ◆ OnAnimation()

OnAnimation | ( |  | self,
|  |  | curFrame )

## ◆ OnControl()

OnControl | ( |  | self | ) |

## ◆ OnCurrentTime()

OnCurrentTime | ( |  | self,
|  |  | evt )

## ◆ OnDeleteKey()

OnDeleteKey | ( |  | self,
|  |  | evt )

## ◆ OnExit()

OnExit | ( |  | self,
|  |  | evt )

## ◆ OnFirstFrame()

OnFirstFrame | ( |  | self,
|  |  | evt )

## ◆ OnLastFrame()

OnLastFrame | ( |  | self,
|  |  | evt )

## ◆ OnNextFrame()

OnNextFrame | ( |  | self,
|  |  | evt )

## ◆ OnNextKeyFrame()

OnNextKeyFrame | ( |  | self,
|  |  | evt )

## ◆ OnPlay()

OnPlay | ( |  | self,
|  |  | evt )

## ◆ OnPreFrame()

OnPreFrame | ( |  | self,
|  |  | evt )

## ◆ OnPreKeyFrame()

OnPreKeyFrame | ( |  | self,
|  |  | evt )

## ◆ OnPrePlay()

OnPrePlay | ( |  | self,
|  |  | evt )

## ◆ OnPropKey()

OnPropKey | ( |  | self | ) |

## ◆ OnTime()

OnTime | ( |  | self | ) |

## ◆ OnTimeEndSpin()

OnTimeEndSpin | ( |  | self,
|  |  | evt )

## ◆ OnTimer()

OnTimer | ( |  | self,
|  |  | evt )

## ◆ OnTimeSliderEndSpin()

OnTimeSliderEndSpin | ( |  | self,
|  |  | evt )

## ◆ OnTimeSliderStartSpin()

OnTimeSliderStartSpin | ( |  | self,
|  |  | evt )

## ◆ OnTimeStartSpin()

OnTimeStartSpin | ( |  | self,
|  |  | evt )

## ◆ SetProperties()

SetProperties | ( |  | self | ) |

## ◆ sortKey()

sortKey | ( |  | self | ) |

## Member Data Documentation

## ◆ _initOver

bool _initOver = False
| protected

## ◆ bmpPlay

bmpPlay = Play.GetBitmap()

## ◆ bmpPrePlay

bmpPrePlay = PrePlay.GetBitmap()

## ◆ bmpStop

bmpStop = Stop.GetBitmap()

## ◆ buttonDeleteKey

buttonDeleteKey = wx.BitmapButton(self.mainPanel2, -1, bmpDeleteKey, size = (30,30),style = wx.BU_AUTODRAW)

## ◆ buttonFirstFrame

buttonFirstFrame = wx.BitmapButton(self.mainPanel1, -1, bmpFirstFrame, size = (30,30),style = wx.BU_AUTODRAW)

## ◆ buttonLastFrame

buttonLastFrame = wx.BitmapButton(self.mainPanel1, -1, bmpLastFrame, size = (30,30),style = wx.BU_AUTODRAW)

## ◆ buttonNextFrame

buttonNextFrame = wx.BitmapButton(self.mainPanel1, -1, bmpNextFrame, size = (30,30),style = wx.BU_AUTODRAW)

## ◆ buttonNextKeyFrame

buttonNextKeyFrame = wx.BitmapButton(self.mainPanel1, -1, bmpNextKeyFrame, size = (30,30),style = wx.BU_AUTODRAW)

## ◆ buttonPlay

buttonPlay = wx.BitmapButton(self.mainPanel1, -1, self.bmpPlay, size = (30,30),style = wx.BU_AUTODRAW)

## ◆ buttonPreFrame

buttonPreFrame = wx.BitmapButton(self.mainPanel1, -1, bmpPreFrame, size = (30,30),style = wx.BU_AUTODRAW)

## ◆ buttonPreKeyFrame

buttonPreKeyFrame = wx.BitmapButton(self.mainPanel1, -1, bmpPreKeyFrame, size = (30,30),style = wx.BU_AUTODRAW)

## ◆ buttonPrePlay

buttonPrePlay = wx.BitmapButton(self.mainPanel1, -1, self.bmpPrePlay, size = (30,30),style = wx.BU_AUTODRAW)

## ◆ curFrame

curFrame = 1

## ◆ curFrameSpin

curFrameSpin = wx.SpinCtrl(self.mainPanel1, -1, "",size = (70,25),min=self.startFrame, max=self.endFrame)

## ◆ dialogSizer

dialogSizer = dialogSizer

## ◆ editor

editor = editor

## ◆ endFrame

endFrame = 24

## ◆ keys

keys = self.editor.animMgr.keyFrames

## ◆ mainPanel1

mainPanel1 = wx.Panel(self, -1)

## ◆ mainPanel2

mainPanel2 = wx.Panel(self, -1)

## ◆ OnCurrentTime

OnCurrentTime

## ◆ OnDeleteKey

OnDeleteKey

## ◆ OnExit

OnExit

## ◆ OnFirstFrame

OnFirstFrame

## ◆ OnLastFrame

OnLastFrame

## ◆ OnNextFrame

OnNextFrame

## ◆ OnNextKeyFrame

OnNextKeyFrame

## ◆ OnPlay

OnPlay

## ◆ OnPreFrame

OnPreFrame

## ◆ OnPreKeyFrame

OnPreKeyFrame

## ◆ OnPrePlay

OnPrePlay

## ◆ OnTimeEndSpin

OnTimeEndSpin

## ◆ OnTimer

OnTimer

## ◆ OnTimeSliderEndSpin

OnTimeSliderEndSpin

## ◆ OnTimeSliderStartSpin

OnTimeSliderStartSpin

## ◆ OnTimeStartSpin

OnTimeStartSpin

## ◆ parallel

list parallel = []

## ◆ play

bool play = False

## ◆ prePlay

bool prePlay = False

## ◆ sliderEndFrame

sliderEndFrame = 24

## ◆ sliderStartFrame

sliderStartFrame = 1

## ◆ startFrame

startFrame = 1

## ◆ stop

bool stop = True

## ◆ timeEndSpin

timeEndSpin = wx.SpinCtrl(self.mainPanel2, -1, "",size = (70,25),min=self.sliderStartFrame, max=10000)

## ◆ timer

timer = wx.Timer(self)

## ◆ timeRange

timeRange = TimeRange(self.mainPanel2, wx.Size(450, 25), self.startFrame, self.endFrame, self.sliderStartFrame, self.sliderEndFrame)

## ◆ timeSlider

timeSlider = TimeSlider(self.mainPanel1, wx.Size(560, 35), self.sliderStartFrame, self.sliderEndFrame, self.curFrame)

## ◆ timeSliderEndSpin

timeSliderEndSpin = wx.SpinCtrl(self.mainPanel2, -1, "",size = (70,25),min=self.sliderStartFrame, max=self.endFrame)

## ◆ timeSliderStartSpin

timeSliderStartSpin = wx.SpinCtrl(self.mainPanel2, -1, "",size = (70,25),min=self.startFrame, max=self.sliderEndFrame)

## ◆ timeStartSpin

timeStartSpin = wx.SpinCtrl(self.mainPanel2, -1, "",size = (70,25),min=0, max=self.sliderEndFrame)

## ◆ timeUnit

timeUnit = float(1)/float(24)*float(1000)